Package org.apache.tiles.core.definition

# Class UnresolvingLocaleDefinitionsFactory

java.lang.Object
org.apache.tiles.core.definition.UnresolvingLocaleDefinitionsFactory

All Implemented Interfaces:
  `DefinitionsFactory`

public class UnresolvingLocaleDefinitionsFactory extends Object implements DefinitionsFactory
`DefinitionsFactory` implementation that manages Definitions configuration data from URLs, without resolving definition inheritance when a definition is returned.

The Definition objects are read from the `DigesterDefinitionsReader` class unless another implementation is specified.

Since:
  2.2.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DefinitionDAO<Locale>`
  `definitionDao`
  The definition DAO that extracts the definitions from the sources.
  `protected LocaleResolver`
  `localeResolver`
  The locale resolver object.

  ### Fields inherited from interface org.apache.tiles.core.definition.DefinitionsFactory

  `DEFINITION_DAO_INIT_PARAM, DEFINITIONS_CONFIG, LOCALE_RESOLVER_IMPL_PROPERTY, READER_IMPL_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnresolvingLocaleDefinitionsFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Definition`
  `getDefinition(String name, Request tilesContext)`
  Returns a Definition object that matches the given name and Tiles context.
  `void`
  `setDefinitionDAO(DefinitionDAO<Locale> definitionDao)`
  Sets the definition DAO to use.
  `void`
  `setLocaleResolver(LocaleResolver localeResolver)`
  Sets the locale resolver to use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### definitionDao

    protected DefinitionDAO<Locale> definitionDao
    The definition DAO that extracts the definitions from the sources.
    Since:
      2.2.1

  - ### localeResolver

    protected LocaleResolver localeResolver
    The locale resolver object.
    Since:
      2.2.1

- ## Constructor Details

  - ### UnresolvingLocaleDefinitionsFactory

    public UnresolvingLocaleDefinitionsFactory()

- ## Method Details

  - ### setLocaleResolver

    public void setLocaleResolver(LocaleResolver localeResolver)
    Sets the locale resolver to use.
    Parameters:
      `localeResolver` - The locale resolver.
    Since:
      2.2.1

  - ### setDefinitionDAO

    public void setDefinitionDAO(DefinitionDAO<Locale> definitionDao)
    Sets the definition DAO to use. It must be locale-based.
    Parameters:
      `definitionDao` - The definition DAO.
    Since:
      2.2.1

  - ### getDefinition

    public Definition getDefinition(String name, Request tilesContext)
    Returns a Definition object that matches the given name and Tiles context.
    Specified by:
      `getDefinition` in interface `DefinitionsFactory`
    Parameters:
      `name` - The name of the Definition to return.
      `tilesContext` - The Tiles context to use to resolve the definition.
    Returns:
      the Definition matching the given name or null if none is found.